repos:
  - repo: https://github.com/myint/docformatter
    rev: v1.5.0
    hooks:
      - id: docformatter
        args: [--in-place, --pre-summary-newline, --make-summary-multi]
  - repo: https://github.com/myint/autoflake
    rev: v1.7.7
    hooks:
      - id: autoflake
        args: ['--in-place', '--remove-all-unused-imports', '--remove-unused-variable']
        exclude: ".*(.fits|.fts|.fit|.txt|tca.*|extern.*|.rst|.md|docs/conf.py)$"
  -   repo: https://github.com/psf/black
      rev: 22.10.0
      hooks:
      - id: black
        exclude: ".*(.fits|.fts|.fit|.txt|.csv)$"
  -   repo: https://github.com/PyCQA/isort
      rev: 5.10.1
      hooks:
      - id: isort
        exclude: ".*(.fits|.fts|.fit|.txt|.csv)$"
  -   repo: https://github.com/pre-commit/pre-commit-hooks
      rev: v4.3.0
      hooks:
      - id: check-ast
      - id: check-case-conflict
      - id: trailing-whitespace
        exclude: ".*(.fits|.fts|.fit|.txt|.csv)$"
      - id: mixed-line-ending
        exclude: ".*(.fits|.fts|.fit|.txt|.csv)$"
      - id: end-of-file-fixer
        exclude: ".*(.fits|.fts|.fit|.txt|.csv)$"
      - id: check-yaml
      - id: debug-statements
